summarylogtreecommitdiffstats
path: root/onos.install
diff options
context:
space:
mode:
authorkyechou2018-02-11 12:24:24 -0600
committerkyechou2018-02-11 12:24:24 -0600
commit40400114d49285bdf1fe0119f2a62596d83e7e77 (patch)
treea4bedd683624b7d2fc0d6cdaeee13eef0da3ab1d /onos.install
downloadaur-40400114d49285bdf1fe0119f2a62596d83e7e77.tar.gz
ONOS 1.12.0
Diffstat (limited to 'onos.install')
-rw-r--r--onos.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/onos.install b/onos.install
new file mode 100644
index 000000000000..eb028b25fb2a
--- /dev/null
+++ b/onos.install
@@ -0,0 +1,13 @@
+post_install() {
+ if ! getent group sdn >/dev/null; then
+ groupadd sdn --system
+ fi
+ if ! getent passwd sdn >/dev/null; then
+ useradd -c 'ONOS user' -g sdn sdn --system
+ fi
+
+ chown -R sdn:sdn /opt/onos
+ chmod -R o-w /opt/onos
+}
+
+# vim: set ts=4 sw=4 et: